#!/bin/sh

### Please ensure that CWODAEnv.sh has been run prior to using this utility.
### CROSSWORLDS}, PATH, CWCLASSES, JAVA are declared in CWODAEnv.sh under
### bin directory.
. VAR_CWHOME/bin/CWODAEnv.sh
#set AGENTNAME=OracleAppsODA
#set AGENT=${CROSSWORLDS}/ODA/OracleApps/OracleAppsODA.jar
#set JCLASSES=${CROSSWORLDS}/lib/rt.jar;${CROSSWORLDS}/lib/vbjorb.jar;${CROSSWORLDS}/lib/xwutil.jar;${CROSSWORLDS}/lib/xwbase.jar;${CROSSWORLDS}/lib/xwsqlserver.jar;${CROSSWORLDS}/lib/spy/lib/spy.jar;${CROSSWORLDS}/lib/xerces.jar;${CROSSWORLDS}/lib/jdom.jar;${CROSSWORLDS}/ODA/OracleApps/OracleAppsODA.jar;${CROSSWORLDS}/lib/CwODK.jar;${CROSSWORLDS}/lib/classes12_01.zip;${CROSSWORLDS}/lib/CrossWorlds.jar
#set AGENTCLASS=com.crossworlds.oda.jdbcoda.JDBCOda


AGENTNAME=OracleAppsODA
AGENT=${CROSSWORLDS}/ODA/OracleApps/OracleAppsODA.jar
AGENTCLASS=com.crossworlds.oda.jdbcoda.JDBCOda

#Modify this Driver path to point to the specific driver you want to use.

DRIVERPATH=${CROSSWORLDS}/lib/xwutil.jar:${CROSSWORLDS}/lib/xwbase.jar:${CROSSWORLDS}/lib/xwsqlserver.jar:${CROSSWORLDS}/lib/xworacle.jar:${CROSSWORLDS}/lib/spy/lib/spy.jar

#Modify DRIVERLIB path to point to the specific driver native libraries you want to use.
DRIVERLIB= 
 
#adjust library path
if [ "${OS}" = "AIX" ]
then
LIBPATH=$LIBPATH:$DRIVERLIB
export LIBPATH
else
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$DRIVERLIB
export LD_LIBRARY_PATH
fi

CWCLASSES=${CWCLASSES}:${AGENT}:${DRIVERPATH}

#REM Start the Object Discovery Agent
${CWJAVA} ${JVM_FLAGS} ${ORB_DEP} -Djava.ext.dirs=${JRE_EXT_DIRS} -Dbea.home=${CROSSWORLDS} -classpath ${CWCLASSES} com.crossworlds.ODKInfrastructure.${CONNECTION} -l${AGENTNAME} -c${AGENTCLASS} 
